Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » Eclipse Web Tools Platform Project (WTP) » Eclipse Glassfish tools support for Glassfish 5.1(Glassfish-tool defines incomplete glassfish system libraries with Glassfish 5.1)
Eclipse Glassfish tools support for Glassfish 5.1 [message #1804336] Fri, 22 March 2019 15:32 Go to next message
Stephane Talbot is currently offline Stephane TalbotFriend
Messages: 2
Registered: March 2019
Junior Member
JavaEE api jars have been renamed in Glassfish 5.1

for example :
  |   Gassfish 5.0        |   Glassfish 5.1          |
  | --------------------- | ------------------------ |
  | javax.ejb-api.jar     | jakarta.ejb-api.jar      |
  | javax.el.jar          | jakarta.el.jar           |
  | javax.persistence.jar | jakarta.persistence.jar  |
  |  ...                  |                          |

The eclipse Glassfish tools plugin, however, use the same glassfish System Librairies (javax.persistence.jar) for Glassfish 5.0 and Glassfish 5.1.
In consequence eclipse JavaEE projects targeting Glassfish 5.1 don't have a correct build classpath (most of the javaEE api jar are missing...)

I guess someone should modify the GlassFishInstall.java file

On the project page https://projects.eclipse.org/projects/webtools.glassfish-tools/developer the bugzilla link is not working.
Is the project still active ? And then where should I go to submit a bug (or a patch) ?
Re: Eclipse Glassfish tools support for Glassfish 5.1 [message #1805181 is a reply to message #1804336] Tue, 09 April 2019 12:36 Go to previous message
Stephane Talbot is currently offline Stephane TalbotFriend
Messages: 2
Registered: March 2019
Junior Member
Problem has been corrected in the 1.0.1 version of the plugin
Previous Topic:tomcat start error
Next Topic:Starting JavaServer Faces JSF, docs out-dated
Goto Forum:
  


Current Time: Sun Sep 20 04:46:24 GMT 2020

Powered by FUDForum. Page generated in 0.02130 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top